<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @editablePanel={{@editablePanel}}
  @onEdit={{@onEdit}} @onSave={{@onSave}} @value={{this.questions}} @onCancel={{@onCancel}} ...attributes>
  <:view>
    {{#if this.viewQuestions}}
      <QuestionsView @value={{this.viewQuestions}} />
    {{else}}
      <div class="alert alert-warning" role="alert">
        {{t "message.no-survey-questions"}}
      </div>
    {{/if}}
  </:view>

  <:edit as |manager|>
    <Input::Questions @value={{manager.value}} @onChange={{manager.change}} @iconSets={{@iconSets}} />
  </:edit>
</Manage::FieldContainer>